package com.seeyon.apps.esign.po.org;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;
import java.util.Map;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class SignFlowConfig {
    private String signFlowTitle;
    private Long signFlowExpireTime;
    private Boolean autoStart;
    private Boolean autoFinish;
    private Boolean identifyVerify;
    private String notifyUrl;
    private Map<String,Object> redirectConfig;
    private Map<String,Object> signConfig;
    private Map<String,Object> noticeConfig;
    private Map<String,Object> authConfig;
    private Map<String,Object> contractConfig;
    private List<String> contractGroupIds;
    private Boolean docsViewLimited;

    public String getSignFlowTitle() {
        return signFlowTitle;
    }

    public void setSignFlowTitle(String signFlowTitle) {
        this.signFlowTitle = signFlowTitle;
    }

    public Long getSignFlowExpireTime() {
        return signFlowExpireTime;
    }

    public void setSignFlowExpireTime(Long signFlowExpireTime) {
        this.signFlowExpireTime = signFlowExpireTime;
    }

    public Boolean getAutoStart() {
        return autoStart;
    }

    public void setAutoStart(Boolean autoStart) {
        this.autoStart = autoStart;
    }

    public Boolean getAutoFinish() {
        return autoFinish;
    }

    public void setAutoFinish(Boolean autoFinish) {
        this.autoFinish = autoFinish;
    }

    public Boolean getIdentifyVerify() {
        return identifyVerify;
    }

    public void setIdentifyVerify(Boolean identifyVerify) {
        this.identifyVerify = identifyVerify;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public Map<String, Object> getRedirectConfig() {
        return redirectConfig;
    }

    public void setRedirectConfig(Map<String, Object> redirectConfig) {
        this.redirectConfig = redirectConfig;
    }

    public Map<String, Object> getSignConfig() {
        return signConfig;
    }

    public void setSignConfig(Map<String, Object> signConfig) {
        this.signConfig = signConfig;
    }

    public Map<String, Object> getNoticeConfig() {
        return noticeConfig;
    }

    public void setNoticeConfig(Map<String, Object> noticeConfig) {
        this.noticeConfig = noticeConfig;
    }

    public Map<String, Object> getAuthConfig() {
        return authConfig;
    }

    public void setAuthConfig(Map<String, Object> authConfig) {
        this.authConfig = authConfig;
    }

    public Map<String, Object> getContractConfig() {
        return contractConfig;
    }

    public void setContractConfig(Map<String, Object> contractConfig) {
        this.contractConfig = contractConfig;
    }

    public List<String> getContractGroupIds() {
        return contractGroupIds;
    }

    public void setContractGroupIds(List<String> contractGroupIds) {
        this.contractGroupIds = contractGroupIds;
    }

    public Boolean getDocsViewLimited() {
        return docsViewLimited;
    }

    public void setDocsViewLimited(Boolean docsViewLimited) {
        this.docsViewLimited = docsViewLimited;
    }
}
